%define treeish	575778a6
%define beta	b2

Name:		wmmon
Version:	1.0
Release:	1%{?beta:.%{beta}}.g%{treeish}%{?dist}
Summary:	Nice system monitor for WindowMaker

Group:		User Interface/X
License:	GPLv2

# wmmon is long since abandoned by its' original author and now
# maintained by wmaker-dev@lists.windowmaker.org subscribers.
URL:		http://repo.or.cz/w/dockapps.git

# "snapshot" link from http://repo.or.cz/w/dockapps.git/tree/HEAD:/wmmon
# Tree-ish hash reduced to 8 chars, name and version parts are correctly
# parsed by gitweb.  However, you will get different results each time you
# try to download this file, because git-archive(1) stamps each file with
# current time.  This is how git-archive(1) works...
Source:		%{url}/snapshot/%{name}-%{version}%{?beta}-g%{treeish}.tar.gz

BuildRequires:	libXext-devel libXpm-devel

%description
WMMon monitors the realtime CPU load as well the average
system load and gives you some nice additional features too...

WMMon currently provides:

 * Realtime CPU 'stress' meter;
 * Average system load, like xload & wmavgload;
 * Average system load graph is auto-scaling;
 * Realtime Disk I/O 'stress' meter;
 * Average Disk I/O load graph (auto-scaling);
 * Realtime total Mem & Swap usage meters;
 * System uptime display;
 * Realtime cycling through all monitor modes;
 * Can launch 3 user definable commands through ~/.wmmonrc;
 * Can be started multiple times;
 * Commandline options for help (-h), version (-v),
   start mode (-i & -s) and display (-d);

%prep
%setup -q -c

%build
cd dockapps/wmmon
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"

%install
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
install -p -m755 dockapps/wmmon/wmmon %{buildroot}%{_bindir}/wmmon
install -p -m644 dockapps/wmmon/wmmon.1 %{buildroot}%{_mandir}/man1/wmmon.1

%files
%doc dockapps/BUGS dockapps/CHANGES dockapps/COPYING dockapps/HINTS dockapps/README dockapps/TODO
%{_bindir}/wmmon
%{_mandir}/man1/wmmon.1*

%changelog
* Wed Jun 06 2012 Alexey I. Froloff <raorn@raorn.name> - 1.0-1.b2.g575778a6
- Initial build for Fedora
